{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('company_location_management/looking_for_property_request/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('company_location_management/looking_for_property_request/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('company_location_management_looking_for_property_request_edit', {'id': lookingForPropertyRequest.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Ansiedlungsgesuch: {{ lookingForPropertyRequest.getTitle() }}</span>
        {{ form_widget(lookingForPropertyRequestDeleteForm.delete, {'label': 'LÖSCHEN', 'id': lookingForPropertyRequestDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading delete-button ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-3">
            <h1 class="fs-4 d-flex align-items-center">
                <span class="material-icons me-2 text-danger">warning_amber</span>
                Das Ansiedlungsgesuch und alle verknüpften Daten werden unwiderruflich gelöscht.
            </h1>
            <p>
                Um das Ansiedlungsgesuch endgültig zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                <span class="delete-code">gesuch_{{ lookingForPropertyRequest.getId() }}</span>
            </p>
            {{ form_start(lookingForPropertyRequestDeleteForm, {'attr': {'id': lookingForPropertyRequestDeleteForm.vars.id ~ '_form'}}) }}
            {% include 'company_location_management/form/looking_for_property_request/looking_for_property_request_delete_form.html.twig' with {'form': lookingForPropertyRequestDeleteForm} only %}
            {{ form_row(lookingForPropertyRequestDeleteForm._token) }}
            {{ form_end(lookingForPropertyRequestDeleteForm, {'render_rest': false}) }}
        </div>
        <div class="mdc-card mb-4 p-4">
            {% include 'company_location_management/form/looking_for_property_request/looking_for_property_request_form.html.twig' with {'form': lookingForPropertyRequestForm } only %}
        </div>
    </div>
{% endblock %}
